Package org.h2gis.functions.spatial.distance

# Class MaxDistanceOp.MaxDistanceFilter

java.lang.Object
org.h2gis.functions.spatial.distance.MaxDistanceOp.MaxDistanceFilter

All Implemented Interfaces:
  `org.locationtech.jts.geom.CoordinateFilter`

Enclosing class:
  MaxDistanceOp

public class MaxDistanceOp.MaxDistanceFilter extends Object implements org.locationtech.jts.geom.CoordinateFilter

## Constructor Summary

Constructors
Constructor
Description
`MaxDistanceFilter(HashSet<org.locationtech.jts.geom.Coordinate> coordsToExclude)`
Compute the max distance between two geometries

## Method Summary

Modifier and Type
Method
Description
`void`
`filter(org.locationtech.jts.geom.Coordinate coord)`
`org.locationtech.jts.geom.Coordinate[]`
`getCoordinatesDistance()`
Return the maximum distance as two coordinates.
`double`
`getDistance()`
Return the maximum distance

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MaxDistanceFilter

public MaxDistanceFilter(HashSet<org.locationtech.jts.geom.Coordinate> coordsToExclude)
Compute the max distance between two geometries

Parameters:
  `coordsToExclude` -

## Method Details

### filter

public void filter(org.locationtech.jts.geom.Coordinate coord)

Specified by:
  `filter` in interface `org.locationtech.jts.geom.CoordinateFilter`

### getDistance

public double getDistance()
Return the maximum distance

Returns:

### getCoordinatesDistance

public org.locationtech.jts.geom.Coordinate[] getCoordinatesDistance()
Return the maximum distance as two coordinates. Usefull to draw it as a line

Returns: